package it.android.cs21;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ToggleButton;

public class ServicesExampleActivity extends Activity implements OnClickListener {
    /** Called when the activity is first created. */

    private Intent sIntent;
    private ToggleButton toggle;
    
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        sIntent = new Intent(getApplicationContext(),MyServiceCounter.class);
        toggle = (ToggleButton)findViewById(R.id.toggleButton1);
        toggle.setOnClickListener(this);
    }

	@Override
	public void onClick(View arg0) {
		if (toggle.isChecked()) {
			startService(sIntent);
		} else {
			stopService(sIntent);
		}
		
	}
}